
Summary: Window Manager Improved, a X11 window manager for hackers
Name: wmi
Version: 10
License: MIT
Release: 1mdk
Group: Graphical desktop/Other
URL: http://wmi.berlios.de/
Source: http://download.berlios.de/wmi/wmi-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
BuildRequires: gcc freetype2-devel autoconf automake
Requires: xterm


%description
WMI is a new lightweight window manager for X11, which attempts to
combine the best features of LarsWM, Ion, evilwm and ratpoison into 
one window manager.


%prep
%setup -n wmi-10


%build
%configure
%make

chmod 755 examples/status* 

%install
%{__rm} -rf %{buildroot}

# Note: the makeinstall macro doesn't use DESTDIR correctly.
%{__make} DESTDIR=%{buildroot} install

# copy example files
%__mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
%__cp -r examples/status* examples/themes $RPM_BUILD_ROOT/%{_datadir}/%{name}

# Install generated scripts to hook up WMI into gdm, xdm, and Co.
%__mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d
%__cat >    $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/18%name << EOF
NAME=%name
EXEC=%{_bindir}/%name
DESC=%summary
SCRIPT:
exec %{_bindir}/%name
EOF



%clean
# It's easier to debug something when we haven't deleted it yet.
##${__rm} -rf ${buildroot}

%post
%make_session

%postun
%make_session

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog BUGS CONTRIB FAQ INSTALL LICENSE.txt NEWS README TODO
%{_bindir}/wmi
%{_bindir}/wmiremote
%{_mandir}/man1/wmi.1*
%{_mandir}/man1/wmiremote.1*
%{_mandir}/man5/actions.conf.5*
%{_mandir}/man5/common.conf.5*
%{_mandir}/man5/session.conf.5*
%{_mandir}/man5/theme.conf.5*
%config(noreplace) %_sysconfdir/X11/wmsession.d/18%name
%{_datadir}/%{name}


%changelog
* Wed Mar  9 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 10-1mdk
- initial contrib

* Wed Jul 28 2004  <hun@n-dimensional.de> - 9.current-1
- initial version

